from fastapi import APIRouter
from scripts.core.handler.task1 import Task1
report_router= APIRouter()
@report_router.get("/getdata1")
def most_violation():
    return Task1().read_violation()

@report_router.get("/getdata2")
def no_violation():
    return Task1().read_noviolation()

@report_router.get('/getdata')
def get_data():
    return Task1().Fnd()

@report_router.get('/getDetails')
def checkdata(business_name ,record_type):
    return Task1().check_result(business_name ,record_type)